org.eclipse.viatra.query.runtime.rete.recipes

## Interface IndexerBasedAggregatorRecipe

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ReteNodeRecipe
  All Known Subinterfaces:
    CountAggregatorRecipe
  All Known Implementing Classes:
    CountAggregatorRecipeImpl, IndexerBasedAggregatorRecipeImpl

      public interface IndexerBasedAggregatorRecipe
      extends ReteNodeRecipe

  A representation of the model object 'Indexer Based Aggregator Recipe'. Represents a (compound) node that performs an aggregation operation. Parent must be a ProjectionIndexer, which defines how tuples are to be aggregated. Usable only through an Join with an AggregatorIndexer as the right parent

  The following features are supported:

  - `Parent`
  See Also:
    `RecipesPackage.getIndexerBasedAggregatorRecipe()`
  Generated:
  Model:
    abstract="true"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArity()`
    `ProjectionIndexerRecipe` | `getParent()` Returns the value of the 'Parent' containment reference.
    `void` | `setParent(ProjectionIndexerRecipe value)` Sets the value of the '`Parent`' containment reference.

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.ReteNodeRecipe

      `getEquivalenceClassIDs, getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

  - ### Method Detail

    - #### getParent

          ProjectionIndexerRecipe getParent()

      Returns the value of the 'Parent' containment reference.
      Returns:
        the value of the 'Parent' containment reference.
      See Also:
        `setParent(ProjectionIndexerRecipe)`, `RecipesPackage.getIndexerBasedAggregatorRecipe_Parent()`
      Generated:
      Model:
        containment="true"

    - #### setParent

          void setParent(ProjectionIndexerRecipe value)

      Sets the value of the '`Parent`' containment reference.
      Parameters:
        `value` - the new value of the 'Parent' containment reference.
      See Also:
        `getParent()`
      Generated:

    - #### getArity

          int getArity()

      Specified by:
        `getArity` in interface `ReteNodeRecipe`
      Generated:
      Model:
        kind="operation" unique="false"